{% extends 'Default/index.html.twig' %}

{% set ente = instance_service.getCurrentInstance() %}
{% set customName = ente.getMetaAsArray('name') %}
{% set enteName = customName != '' ? customName :  ente.name %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('compile') }}
{% endblock %}

{% block main_content %}

<section id="intro" class="container px-4 my-4 {{ form.vars.id }}">
  <div class="row justify-content-center">
    <div class="col-12">
      <div id="header" class="mb-3"></div>
    </div>
    <div class="col-lg-12 px-lg-4 py-lg-2">
      <h1>{{ 'pratica.nuova_pratica'|trans({'%name%':pratica.servizio.name}) }}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col-12 mt-4 mb-4">
    <div class="cmp-info-progress d-flex" data-id="wizardHeader" id="wizardHeader"></div>
    </div>
  </div>

  <div class="row">
    <div class="col-12 col-lg-3 d-lg-block mb-4 d-none">
      <div class="cmp-navscroll sticky-top" aria-labelledby="accordion-title-one">
        <nav class="navbar it-navscroll-wrapper navbar-expand-lg" aria-label="{{ 'servizio.info' | trans }}" data-navscroll="">
          <div class="navbar-custom" id="navbarNavProgress">
            <div class="menu-wrapper">
              <div class="link-list-wrapper">
                <div class="accordion">
                  <div class="accordion-item">
                          <span class="collapse-header" id="accordion-title-one">
                            <button class="accordion-button collapse-button pb-10 px-3" type="button" data-toggle="collapse" data-target="#collapse-one" aria-expanded="true" aria-controls="collapse-one" data-focus-mouse="false">
                              {{ 'servizio.info' | trans }}
                            </button>
                          </span>
                    <div class="progress">
                      <div class="progress-bar it-navscroll-progressbar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
                    </div>
                    <div id="collapse-one" class="accordion-collapse collapse show" role="region" aria-labelledby="accordion-title-one">
                      <div class="accordion-body">
                        <ul class="link-list" data-element="page-index" id="navItems">
                        </ul>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </nav>
      </div>
    </div>
    <div class="col-12 col-lg-8 offset-lg-1 mt-2 mt-lg-0">
      <div class="it-page-sections-container">
      {{ form_start(form) }}
      {{ form_errors(form) }}
      {{ form_rest(form) }}
      <div id="formio" class="preview"
           data-locale="{{ app.request.locale }}"
           data-formserver_url="{{ formserver_url }}"
           data-form_id="{{ pratica.servizio.formIoId }}">
      </div>
      {{ form_end(form) }}
      </div>
    </div>
  </div>
</section>

{% endblock %}
